<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_f1a1c12258c339542b5f8" . "9ca976d35f1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9" . "sYXN0X2FjY2Vzc2VkPWludDpkYXRlIFdIRV" . "JFIGlkPWludDppZA=="), "_b969b955" . "d13553798" . "80c0b97b2" . "e4f679" => base64_decode("Y2ZnX21hcmtlc" . "l9hdXRvX2dlbm" . "VyYXRpb25fcHJ" . "lZml4"), "_bc9f5b3b6a495ee55ebb7158ab184d" . "c4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgdGl0bGU9c3RyOnR" . "pdGxlIFdIRVJFIGlkPWludDppZA=="), "_7a7cffa4d53e" . "f9ebe07145b1a" . "5bf3d85" => base64_decode("L2ludHJhbmV0L2RvY3VtZW50cy9pb" . "WFnZXMvbWFya2VyLmdpZg=="), "_aed8da0" . "f1909121" . "4b78f803" . "51048517" . "c" => base64_decode("c3Ryb" . "GVu"), "_4ca36bbc844fd9e04b91f8" . "a27c589890" => base64_decode("Z2x5cGhpY29ucyBnbHlwaGljb25zLW1hcA=" . "="), "_5e9a99dc0dd49b907abf1" . "b35e96965f8" => base64_decode("dH" . "Jp" . "bQ" . "=="));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_f1a1c122" . "58c339542" . "b5f89ca97" . "6d35f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_b969b955d13" . "55379880c0b9" . "7b2e4f679"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_aed8da0f190912" . "14b78f803510485" . "17c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_5e9a99dc0dd49b907abf1b35" . "e96965f8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bc9f5b3b6a495ee55eb" . "b7158ab184dc4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7a7cffa4d53ef9ebe07145" . "b1a5bf3d85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4ca36bbc844fd9e04b91f8a2" . "7c589890"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}